databaseChangeLog:
  - changeSet:
      id: create_init_tables
      author: Levytskyi
      changes:
        - createTable:
            tableName: currency
            columns:
              - column:
                  name: id
                  type: uuid
                  constraints:
                    primaryKey: true
                    nullable: false
              - column:
                  name: country
                  type: varchar(255)
                  constraints:
                    nullable: false
              - column:
                  name: name
                  type: varchar(255)
                  constraints:
                    nullable: false
              - column:
                  name: short_name
                  type: varchar(255)
                  constraints:
                    nullable: false

        - createTable:
            tableName: currency_rate
            columns:
              - column:
                  name: id
                  type: uuid
                  constraints:
                    primaryKey: true
                    nullable: false
              - column:
                  name: amount
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: cnb_mid
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: curr_buy
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: curr_mid
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: curr_sell
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: move
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: val_buy
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: val_mid
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: val_sell
                  type: double
                  constraints:
                    nullable: false
              - column:
                  name: valid_from
                  type: timestamp
                  constraints:
                    nullable: false
              - column:
                  name: version
                  type: varchar(16)
                  constraints:
                    nullable: false
              - column:
                  name: currency_id
                  type: uuid
                  constraints:
                    nullable: false
              - column:
                  name: last_updated_time
                  type: timestamp
                  constraints:
                    nullable: true
